Subject: Re: bug#76751: 31.0.50; Bad window sizing with pgtk (bisected)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Apr 2025 14:26:32 +0300

Ping!  Any ideas for how to make progress with this issue?

> From: Jonathan Corbet <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 11 Apr 2025 08:08:16 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Po Lu <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Sat, 29 Mar 2025 21:08:59 +0800
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Did you have a chance to look into this?
> >> 
> >> Yes, but I was stymied by the fact that the PGTK port delegates scaling
> >> to GTK, and so `xg_get_scale' always returns 1, on which account the
> >> commit Johnathan identified should not have affected any behavior, on
> >> such configurations, that is.
> >
> > So what should we do to make some progress here?
> >
> > Or is this problem not solvable in Emacs?
> 
> Reverting the commit definitely fixed things here.  I wish I understood
> more about how this stuff works to try to track things down, but I'm a
> dumb kernel guy...  I guess I should go look at the problem that fix was
> originally put in to solve, maybe there's a clue there.
> 
> I take it nobody else has complained?
> 
> Thanks,
> 
> jon
>